#ifdef __cplusplus
#include <string>
std::string shader_test_vert = R"("
#version 300 es
precision mediump float;

layout (location = 0) in vec3 vertex;
layout (location = 1) in vec2 uv_in;

out vec2 pos;
out vec2 uv;

layout (std140) uniform GlobalMatrices
{
    mat4 projection;
    mat4 view;
    mat4 pvm;
};

void main()  {
    //gl_Position = projection * view * vec4(vertex.x, vertex.y, vertex.z, 1.0);
    gl_Position = vec4(vertex, 1.0);
    pos = vertex.xy;
    uv = uv_in;
}

")";
#endif